<%= form_with(model: golf_game) do |form| %>
  <% if golf_game.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(golf_game.errors.count, "error") %> prohibited this golf_game from being saved:</h2>

      <ul>
        <% golf_game.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div>
    <%= form.label :date, style: "display: block" %>
    <%= form.text_field :date %>
  </div>

  <div>
    <%= form.label :course_name, style: "display: block" %>
    <%= form.text_field :course_name %>
  </div>

  <div>
    <%= form.label :par, style: "display: block" %>
    <%= form.number_field :par %>
  </div>

  <div>
    <%= form.label :score, style: "display: block" %>
    <%= form.number_field :score %>
  </div>

  <div>
    <%= form.submit %>
  </div>
<% end %>
